<?php

namespace App\Services;

use App\Repositories\ResponseRepository;

class ResponseService
{

    protected ResponseRepository $responseRepository;

    public function __construct() {
        $this->responseRepository = new ResponseRepository();
    }

    public function getResponsesForUser($userId) {
        return $this->responseRepository->getResponsesForUser($userId);
    }

    public function markResponseAsRead($responseId) {
        return $this->responseRepository->markResponseAsRead($responseId);
    }
}